#include <iostream>
#include <iomanip>
using namespace std;

int main()
{
   long int n,i,j;
   cin>>n;
   double freelancer[n],sum=0;
   double percent[n],limit,maxtax,maximum=0;
   for(i=0;i<n;i++)
       cin>>freelancer[i]>>percent[i];

   for(i=0;i<n;i++)
   {
       limit=percent[i];
        for(j=0;j<n;j++)
        {
            if(percent[j]>=limit)
            {
                sum+=1.0*freelancer[j];
                double(maxtax)=double(sum)*double((limit/100));
                if(maxtax>maximum)
                    maximum = maxtax;
            }
        }
        sum=0.0;
   }
    cout << std::setprecision(16)<<maximum<<endl;
    return 0;
}